Bug 1575433 - dnf - Unable to detect release version
Summary: dnf - Unable to detect release version
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 23:24 UTC by Matt Daveson
Modified: 2020-04-29 18:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 18:17:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Daveson 2018-05-06 23:24:15 UTC
sudo dnf groupinstall "Development Tools" "Development Libraries"
Unable to detect release version (use '--releasever' to specify release version)
Error: Failed to synchronize cache for repo 'updates'

cat /etc/issue
\S
Kernel \r on an \m (\l)

Comment 1 Sally A. Haj 2018-08-12 10:50:17 UTC
 I couldn't update or install as well any package using 'dnf' in "Fedora 28 Standard Base Cloud HVM AMIs" on AWS, I get this message:
"Unable to detect release version (use '--releasever' to specify release version) Error: Failed to synchronize cache for repo 'updates'" 

By the way, I could use --releasever with the command which works as the following

sudo dnf --releasever 28 update

Comment 2 Jan Kurik 2018-08-14 10:03:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Jaroslav Mracek 2018-09-25 07:03:45 UTC
Please can you provide an output from command ``dnf repoquery fedora-release``. Probably command "dnf reinstall fedora-release" could help.

Comment 4 Jaroslav Mracek 2019-05-03 18:17:24 UTC
Without additional information we cannot do much.

Comment 5 Tsvyatko Kriviradev 2020-04-29 18:17:20 UTC
I confirm on fresh installed Fedora 32 Lenovo T450

This is the only way to dnf update currently.
sudo dnf update -y --releasever 32

uname -a
Linux localhost.localdomain 5.6.6-300.fc32.x86_64 #1 SMP Tue Apr 21 13:44:19 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Comment 6 Tsvyatko Kriviradev 2020-04-29 18:18:07 UTC
dnf repoquery fedora-release
Unable to detect release version (use '--releasever' to specify release version)
Fedora $releasever openh264 (From Cisco) - x86_64                                                                                                                                                              12 kB/s |  63 kB     00:05    
Errors during downloading metadata for repository 'fedora-cisco-openh264':
  - Status code: 404 for https://mirrors.fedoraproject.org/metalink?repo=fedora-cisco-openh264-$releasever&arch=x86_64 (IP: 2610:28:3090:3001:dead:beef:cafe:fed3)
Error: Failed to download metadata for repo 'fedora-cisco-openh264': Cannot prepare internal mirrorlist: Status code: 404 for https://mirrors.fedoraproject.org/metalink?repo=fedora-cisco-openh264-$releasever&arch=x86_64 (IP: 2610:28:3090:3001:dead:beef:cafe:fed3)
Fedora Modular $releasever - x86_64                                                                                                                                                                            12 kB/s |  63 kB     00:05    
Errors during downloading metadata for repository 'fedora-modular':
  - Status code: 404 for https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-$releasever&arch=x86_64 (IP: 2610:28:3090:3001:dead:beef:cafe:fed3)
Error: Failed to download metadata for repo 'fedora-modular': Cannot prepare internal mirrorlist: Status code: 404 for https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-$releasever&arch=x86_64 (IP: 2610:28:3090:3001:dead:beef:cafe:fed3)


Note You need to log in before you can comment on or make changes to this bug.